{% load i18n %}
{% load server_tags %}

<div class="post-body {{ post.get_status_display }} clearfix {% if post.is_toplevel %} root-post {% endif %} {% if up_down_votes %} up-down-votes {% endif %} " 
data-post-id="{{ post.id }}"
data-user-votes="{{ post.user_votes }}"
data-poll-votes="{{ post.poll_votes }}"
data-vote-types="{% if post.vote_types == Post.QUALITY_LOA or post.vote_types == Post.QUALITY_LOA_RELEVANCE %}level-of-agreement{% endif %},{% if post.vote_types == Post.QUALITY_LOA_RELEVANCE %}relevance{% endif %},{% if not up_down_votes %}quality{% endif %},{% if up_down_votes %}votes{% endif %}">


    {% if post.is_toplevel %}
        {% include "banners/leaderboard.html" %}

        <div class="title" >{{ post.get_type_display }}: <span itemprop="name">{{ post.get_title }}</span></div>

    {% endif %}

    <div class="main">
        
        {% if post.root.type != Post.ARTICLE and post.type != Post.TEMPLATE_ARTICLE and post.vote_types != Post.NONE %}

            <div class="post vote-box visible-lg visible-md ratings-enabled" data-post_id="{{ post.id }}" data-post-type="{{ post.type }}">

                {% if not post.is_toplevel and post.root.type == Post.DEBATE and post.type == Post.ARGUMENT_FOR %}
                    <div class="argument {% if not up_down_votes %}ratings{% endif %}" data-toggle="tooltip" data-placement="top"
                         data-type="accept" title="This claim supports the main thesis">
                        <!-- <i class="fa fa-plus-square-o fa-2x"></i> -->
                        <div class="sign argument-for">+</div>
                    </div>
                {% endif %}

                {% if not post.is_toplevel and post.root.type == Post.DEBATE and post.type == Post.ARGUMENT_AGAINST %}
                    <div class="argument {% if not up_down_votes %}ratings{% endif %}" data-toggle="tooltip" data-placement="top"
                         data-type="accept" title="This claim disaproves the main thesis">
                        <!-- <i class="fa fa-minus-square-o fa-2x"></i> -->
                        <div class="sign argument-against">-</div>
                    </div>
                {% endif %}

                {% if not up_down_votes %}
                    
                    {% ratings post "left" %}

                {% else %}

                    <div class="vote vote-up mark {{ post.has_upvote|on }} tip" data-toggle="tooltip" data-placement="top"
                         data-type="upvote" title="Upvote">

                        {% if post.vote_types == Post.UP %}
                            <i class="fa fa-thumbs-o-up fa-2x"></i></div>
                        {% else %}
                            <i class="fa fa-caret-up fa-3x"></i></div>
                        {% endif %}

                    <div class="count" itemprop="voteCount">{{ post.vote_count }}</div>
                    
                    {% if post.vote_types == Post.UP_DOWN %}
                    <div class="vote vote-down mark {{ post.has_downvote|on }} tip" data-toggle="tooltip" data-placement="top"
                         data-type="downvote" title="Downvote">
                        <!-- <i class="fa fa-thumbs-o-down fa-2x"></i></div> -->
                        <i class="fa fa-caret-down fa-3x"></i></div>

                    {% endif %}
                    
                    {% if post.is_toplevel %}
                        <div class="vote mark {{ post.has_bookmark|on }} {% if up_down_votes %} tip {% endif %}" {% if up_down_votes %} data-toggle="tooltip" data-placement="top" {% endif %}
                         data-type="bookmark" title="Bookmark">
                            <i class="fa fa-star fa-2x"></i>
                        </div>
                    {% endif %}

                {% endif %}


                {% if not post.is_toplevel and post.can_accept %}
                    <div class="vote mark {{ post.has_accepted|on }} tip" data-toggle="tooltip" data-placement="top"
                         data-type="accept" title="Accept">
                        <i class="fa fa-check-circle-o fa-2x"></i>
                    </div>
                {% endif %}


            </div>

        {% endif %}

        <div class="content-container">

            <a id="{{ post.id }}"></a>
            {# The body of the post #}

            <div class="content" >

                {% post_user_box post.author post.creation_date %}
                
                <span itemprop="text">
                    
                    {{ post.html|integrate_csrf_token:request|safe }}

                </span>


                {% if post.root.type != Post.ARTICLE and post.type != Post.TEMPLATE_ARTICLE %}

                    <div class="post-footer clearfix">
                        {% if post.is_toplevel %}
                            
                            {% if post.type == Post.SURVEY %}
                                
                                {% if has_children %}
                                    
                                    <!-- <div class="charts">
                                        
                                        {% if closed %}
                                            <h5>Results</h5>
                                        {% else %}
                                            <h5>Current results</h5>
                                        {% endif %}

                                        <ul class="nav nav-tabs" id="chart-tab" role="tablist">

                                            {% if post.vote_types == Post.QUALITY_LOA or post.vote_types == Post.QUALITY_LOA_RELEVANCE %}
                                                <li class="nav-item">
                                                    <a class="nav-link active" id="level-of-agreement-tab" data-toggle="tab" href="#level-of-agreement" role="tab" aria-controls="level-of-agreement" aria-selected="true">Level of Agreement</a>
                                                </li>
                                            {% endif %}

                                            {% if post.vote_types == Post.QUALITY_LOA_RELEVANCE %}
                                                <li class="nav-item">
                                                    <a class="nav-link" id="relevance-tab" data-toggle="tab" href="#relevance" role="tab" aria-controls="relevance" aria-selected="false">Relevance</a>
                                                </li>
                                            {% endif %}
                                            
                                            <li class="nav-item">
                                                <a class="nav-link {% if post.vote_types == Post.QUALITY %} active {% endif %}" id="quality-tab" data-toggle="tab" href="#quality" role="tab" aria-controls="quality" aria-selected="false">Quality</a>
                                            </li>

                                        </ul>

                                        <div class="tab-content" id="chart-tab-content">
                                          
                                            {% if post.vote_types == Post.QUALITY_LOA or post.vote_types == Post.QUALITY_LOA_RELEVANCE %}
                                                 <div class="tab-pane fade active" id="level-of-agreement" role="tabpanel" aria-labelledby="level-of-agreement-tab">

                                                    <div class="survey chart level-of-agreement"><canvas id="survey-chart-level-of-agreement"></canvas></div>
                                                    <h6>Level of Agreement</h6>

                                                </div>
                                            {% endif %}

                                            {% if post.vote_types == Post.QUALITY_LOA_RELEVANCE %}
                                                <div class="tab-pane fade" id="relevance" role="tabpanel" aria-labelledby="relevance-tab">
                                              
                                                    <div class="survey chart relevance"><canvas id="survey-chart-relevance"></canvas></div>
                                                    <h6>Relevance</h6>

                                                </div>  
                                            {% endif %}

                                          
                                            <div class="tab-pane fade {% if post.vote_types == Post.QUALITY %} show active {% endif %}" id="quality" role="tabpanel" aria-labelledby="quality-tab">
                                              
                                                <div class="survey chart quality"><canvas id="survey-chart-quality"></canvas></div>
                                                
                                                {% if post.vote_types != Post.UP and post.vote_types != Post.UP_DOWN %}
                                                    <h6>Quality</h6>
                                                {% endif %}

                                            </div>

                                        </div>

                                    </div> -->

                                {% endif %}

                                {% if close_date %}
                                    {% if closed %}
                                        
                                        {% with survey_close_date=close_date|date_at_time %}

                                        {% blocktrans %}<div class="alert alert-info convert-time">This survey ended on the {{survey_close_date}}.</div>{% endblocktrans %}

                                        {% endwith %}

                                        <!-- <div class="alert alert-info convert-time">This survey closed on {{ close_date|date:"D d M Y \a\t H:i" }} UTC</div> -->

                                    {% else %}
                                        
                                        {% with survey_close_date=close_date|date_at_time %}

                                        {% blocktrans %}<div class="alert alert-info convert-time">This survey ends on the {{survey_close_date}}.</div>{% endblocktrans %}
                                        
                                        {% endwith %}
                                        
                                        <!-- <div class="alert alert-info convert-time">This survey closes in {{ close_date|timeuntil }}, on {{ close_date|date:"D d M Y \a\t H:i" }} UTC</div> -->

                                    {% endif %}
                                {% endif %}
                            {% endif %}

                            <div class="tags clearfix">
                                {% for tag in post.tag_set.all %}
                                    <a class="tag" href="/t/{{ tag.name }}/">{{ tag.name }}</a>
                                {% endfor %}

                            <div class="view-count"> {{ post.root.view_count|bignum }} {% trans "views" %} </div>

                            </div>
                        {% endif %}

                        {# Post action line #}


                        {% post_actions post user %}

                    </div>
                
            
                    {% if not up_down_votes %}

                        {% ratings post "bottom" %}

                    {% endif %}


                    {# Comments for each post rendered here #}
                    <div class="comment" itemprop="comment">
                        {% render_comments request post tree %}
                    </div>
                
                {% else %}
                    
                    {# if post is an article: only display edit buttons #}
                    
                    {% if post.is_editable %}
                        <div class="post-footer clearfix">
                            <div class="post-action">
                                <a href="{% url 'post-edit' post.id %}" id="E{{ post.id }}">{% trans "edit" %}</a>
                                
                                {% if post.edit_history %}
                                    <a href="{{ post.edit_history.get_absolute_url }}">{% trans "edit history" %}</a>
                                {% endif %}
                            </div>
                        </div>
                    {% endif %}

                {% endif %}

            </div>

            {% if post.is_toplevel and post.type == Post.DEBATE and has_children %}
            
            <div class="sort-buttons" >

                <div class="btn-group pull-right">
                    <button type="button" class="btn btn-default btn-sm dropdown-toggle" data-toggle="dropdown">
                        {% trans "Sort by: " %}{{ sort_order }} <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu" role="menu">
                        

                            <li><a href="{{ post.get_absolute_url }}?sort=types">{% trans "types" %}</a></li>

                        {% if up_down_votes %}
                            <li><a href="{{ post.get_absolute_url }}?sort=votes">{% trans "votes" %}</a></li>
                        {% endif %}

                        {% if not up_down_votes %}
                            <li><a href="{{ post.get_absolute_url }}?sort=quality">{% trans "quality" %}</a></li>
                        {% endif %}
                        
                        {% if post.vote_types == Post.QUALITY_LOA_RELEVANCE %}
                            <li><a href="{{ post.get_absolute_url }}?sort=relevance">{% trans "relevance" %}</a></li>
                        {% endif %}
                        
                        {% if post.vote_types == Post.QUALITY_LOA or post.vote_types == Post.QUALITY_LOA_RELEVANCE %}
                            <li><a href="{{ post.get_absolute_url }}?sort=level_of_agreement">{% trans "level of agreement" %}</a></li>
                        {% endif %}
                        
                            <li><a href="{{ post.get_absolute_url }}?sort=creation_dates">{% trans "creation dates" %}</a></li>
                        
                    </ul>
                </div>

            </div>

            {% endif %}

        </div>
    </div>

</div>

